Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# DDirect3D9.cpp File Reference

class for Direct3D9 driver More...

`#include <d3dx9.h>`
`#include "DDirect3D9.hpp"`
`#include "deGlobalTypes.hpp"`
`#include "deBitmap.hpp"`
`#include "deMath.hpp"`
`#include "deString.hpp"`
`#include "deFileSystem.hpp"`

Include dependency graph for DDirect3D9.cpp:

## Compounds
struct | CardVCache
## Defines
#define | D3D_DEV_TYPE (D3DDEVTYPE_HAL)
#define | VERTEXSHADERID 0x01005356
#define | TEXTURESTRUCTID 0x01005354
#define | HR2StringCase(Case_)
## Typedefs
typedef IDirect3D9 *(WINAPI * | fDirect3DCreate9 )(UINT SDKVersion)
## Functions
deBoolean | IsDestiny3DDriver ()
IdeDriver * | GetDriverInstance (long ID)
const deDriverInfo * | GetDriverInfo (long StructSize)
deBoolean | IsPow2 (int num)
char *__cdecl | HR2String (HRESULT hr, char *szHR)
## Variables
deDriverInfo | DriverInfo
deBoolean | AdapterInfoLogged = deFALSE
const D3DFORMAT | backBufferFormatArray []
CardVCache | s_CardListing []

## Detailed Description

class for Direct3D9 driver

Author:
  Lightning, Assassin, ibutsu

This file is the intellectual property of Novus Delta, LLC.. Usage of the contents of this file is subject to the Destiny3D Member License which can be found at http://www.destiny3d.com. Any other usage is prohibited.

This file is distributed "AS IS" without warranty of any kind. Novus Delta, LLC. does not guarantee the fitness of the contents of this file for any particular purpose.

Copyright (C) 2001-2003 Novus Delta, LLC. All Rights Reserved.

Change History

Date:
  Aug 2001

Author:
  Lightning

Remarks:
  Creation

Date:
  Dec 2003

Author:
  ibutsu

Remarks:
  d3d9 port

Date:
  Jul 2004

Author:
  poly-gone

Remarks:
  Floating point surface format support

## Define Documentation

#define D3D_DEV_TYPE (D3DDEVTYPE_HAL)

#define HR2StringCase | ( | Case_ |  | ) |

| Value:
    case Case_:\
            strcpy(szHR, #Case_); break

#define TEXTURESTRUCTID 0x01005354

#define VERTEXSHADERID 0x01005356

## Typedef Documentation

typedef IDirect3D9*(WINAPI * fDirect3DCreate9)(UINT SDKVersion)

## Function Documentation

const deDriverInfo* GetDriverInfo | ( | long | StructSize | ) |

IdeDriver* GetDriverInstance | ( | long | ID | ) |

char* __cdecl HR2String | ( | HRESULT | hr,
|  | char * | szHR
| ) |

deBoolean IsDestiny3DDriver | ( |  | ) |

deBoolean IsPow2 | ( | int | num | ) | `[inline, static]`

## Variable Documentation

deBoolean AdapterInfoLogged = deFALSE

const D3DFORMAT backBufferFormatArray[]

| Initial value:
    {   D3DFMT_A8R8G8B8, D3DFMT_X8R8G8B8, D3DFMT_A2R10G10B10,
        D3DFMT_R5G6B5, D3DFMT_A1R5G5B5, D3DFMT_X1R5G5B5 }

deDriverInfo DriverInfo

CardVCache s_CardListing[]`[static]`

| Initial value:
    {
        {"RADEON 8500", 12},
        {"RADEON 9700", 12},
        {"GEFORCE 256", 12},
        {"GEFORCE2", 12},
        {"GEFORCE3", 16},
        {"GEFORCE4", 18},
    }